<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/shape_fbfbfd_top_cor14">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="520dp">

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_18"
            android:text="优惠券"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_16"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_close"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/dp_12"
            android:src="@mipmap/ic_close"
            app:layout_constraintBottom_toBottomOf="@id/tv_title"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@id/tv_title" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/mRecyclerView"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="@dimen/dp_12"
            app:layout_constraintVertical_weight="1"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            app:layout_constraintBottom_toTopOf="@id/layout_bottom"
            app:layout_constraintTop_toBottomOf="@id/tv_title"
            tools:listitem="@layout/listitem_coupon_dialog" />

        <View
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:background="@color/color_eeeeee"
            app:layout_constraintBottom_toTopOf="@id/layout_bottom" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/layout_bottom"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white"
            android:paddingBottom="@dimen/dp_9"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent">

            <com.cheng.blzb.widget.CommonShapeView
                android:id="@+id/btn_next"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginStart="@dimen/dp_16"
                android:layout_marginTop="@dimen/dp_9"
                android:layout_marginEnd="@dimen/dp_16"
                android:text="确定"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_15"
                android:textStyle="bold"
                app:csb_activeEnable="true"
                app:csb_cornerRadius="@dimen/dp_50"
                app:csb_fillColor="@color/color_ff5846"
                app:layout_constraintDimensionRatio="h,343:46"
                app:layout_constraintTop_toTopOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>

</FrameLayout>